using System;
class Program
{
    static void Main(string[] args)
    {
        string[] unos = Console.ReadLine().Split();
        int n = int.Parse(unos[0]);
        int l = int.Parse (unos[1]);
        unos = Console.ReadLine().Split();
        for(int i = 0; i < n; i++)
        {
            if (int.Parse(unos[i])<=l)
            {
                Console.Write(i+1);
                Environment.Exit(0);
            }
        }
        Console.Write(-1);
    }
}